<!DOCTYPE html>
<html lang="{{ app.request.locale|split('_')[0] }}">
  <head>
    <meta charset="UTF-8" />
    <title>{% block title %}{{ raddit_app_site_name() }}{% endblock %}</title>
    <link rel="icon" type="image/x-icon" href="{{ asset('favicon.ico') }}">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    {% block stylesheets %}
      <link rel="stylesheet" href="{{ asset('css/main.min.css') }}">
    {% endblock %}

    {% block head %}{% endblock %}
  </head>

  <body class="{{ block('page_classes')|replace({'\n': ''}) }} {{ app.user ? 'user-logged-in' : 'user-anonymous' }}">
    {% spaceless %}
      <nav class="site-nav">
        <ul>
          {% block site_nav_left %}
            <li><a href="{{ path('raddit_app_front') }}">{{ raddit_app_site_name() }}</a></li>
          {% endblock %}
        </ul>

        <ul class="right-nav">
          {% if not is_granted('ROLE_USER') %}
            <li><a href="{{ path('raddit_app_login') }}">{{ 'site_nav.log_in'|trans }}</a></li>
            <li><a href="{{ path('raddit_app_registration') }}">{{ 'site_nav.register'|trans }}</a></li>
          {% else %}
            <li><a href="{{ path('raddit_app_create_forum') }}">{{ 'create_forum.nav_link'|trans }}</a></li>
            <li><a href="{{ path('raddit_app_submit', {forum_name: forum is defined and forum ? forum.name : null}) }}">{{ 'site_nav.submit'|trans }}</a></li>
            <li class="dropdown-container">
              <a href="#" class="dropdown-toggle"><strong>{{ app.user.username }}</strong></a>
              <ul class="dropdown-menu">
                <li><a href="{{ path('raddit_app_user', {username: app.user.username}) }}">{{ 'site_nav.profile'|trans }}</a></li>
                <li><a href="{{ path('raddit_app_edit_user', {username: app.user.username}) }}">{{ 'site_nav.my_account'|trans }}</a></li>
                <li><a href="{{ logout_path() }}">{{ 'site_nav.log_out'|trans }}</a></li>
              </ul>
            </li>
          {% endif %}
        </ul>
      </nav>
    {% endspaceless %}

    <div class="site-alerts">
      {%- if app.request.hasPreviousSession -%}
        {%- for type, notices in app.session.flashBag.all -%}
          {%- for notice in notices -%}
            <p class="alert alert-{{ type }}" role="alert">{{ notice|trans }}</p>
          {%- endfor -%}
        {%- endfor -%}
      {%- endif -%}
    </div>

    <div class="content-wrapper">
      <aside class="sidebar">{% block sidebar %}{% endblock %}</aside>
      <section class="body">{% block body %}{% endblock %}</section>
    </div>

    {% block javascripts %}
      <script>window.__webpack_public_path__ = "{{ app.request.baseUrl|e('js') }}/js/";</script>
      <script src="{{ asset('js/vendor.min.js') }}"></script>
      <script src="{{ asset('js/main.min.js') }}"></script>
      <script src="{{ path('bazinga_jstranslation_js') }}"></script>
    {% endblock %}
  </body>
</html>
